
Foreman - Feature #17296

Allow unattended URLs to be accessed without host being built

11/09/2016 12:49 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: Unattended installations   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4011

  

Description

It would be handy if the unattended URLs for things like iPXE templates could be accessed when a host is not in build mode.  This

would allow for fairly dynamic templates to be used for PXE without the need for syncing template updates to TFTP server.

Associated revisions

Revision 2652deaf - 11/25/2016 11:11 AM - Trey Dockendorf

Fixes #17296 - Add setting access_unattended_without_build

Revision 28efe7f8 - 12/05/2016 09:32 AM - Trey Dockendorf

Fixes #17296 - Add setting access_unattended_without_build

(cherry picked from commit 2652deaf8f81cf315eed8f61b675a73bce0c6eff)

History

#1 - 11/09/2016 01:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4011 added

#2 - 11/25/2016 12:02 PM - Trey Dockendorf

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2652deaf8f81cf315eed8f61b675a73bce0c6eff.

#3 - 11/29/2016 03:10 AM - Dominic Cleal

- Category set to Unattended installations

- Assignee set to Trey Dockendorf

- translation missing: en.field_release set to 189
